HttpsCertVerifier (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.security.HttpsCertVerifier class
Date: 2018-03-18

net.sourceforge.jnlp.security

## Class HttpsCertVerifier

- java.lang.Object
- - net.sourceforge.jnlp.security.HttpsCertVerifier

- All Implemented Interfaces:
    CertVerifier

      public class HttpsCertVerifier
      extends java.lang.Object
      implements CertVerifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpsCertVerifier(java.security.cert.X509Certificate[] chain, java.lang.String authType, boolean isTrusted, boolean hostMatched, java.lang.String hostName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAlreadyTrustPublisher()`
    `java.security.cert.CertPath` | `getCertPath(java.security.cert.CertPath certPath)`
    `java.util.List<java.lang.String>` | `getDetails(java.security.cert.CertPath certPath)`
    `java.security.cert.Certificate` | `getPublisher(java.security.cert.CertPath certPath)`
    `java.security.cert.Certificate` | `getRoot(java.security.cert.CertPath certPath)`
    `boolean` | `getRootInCacerts()`
    `boolean` | `hasSigningIssues(java.security.cert.CertPath certPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpsCertVerifier

          public HttpsCertVerifier(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType,
                                   boolean isTrusted,
                                   boolean hostMatched,
                                   java.lang.String hostName)

  - ### Method Detail

    - #### getAlreadyTrustPublisher

          public boolean getAlreadyTrustPublisher()

      Specified by:
        `getAlreadyTrustPublisher` in interface `CertVerifier`
      Returns:
        if the publisher is already trusted

    - #### getCertPath

          public java.security.cert.CertPath getCertPath(java.security.cert.CertPath certPath)

      Specified by:
        `getCertPath` in interface `CertVerifier`
      Parameters:
        `certPath` - to be read
      Returns:
        a valid certificate path to this certificate being verified

    - #### getDetails

          public java.util.List<java.lang.String> getDetails(java.security.cert.CertPath certPath)

      Specified by:
        `getDetails` in interface `CertVerifier`
      Parameters:
        `certPath` - certificate
      Returns:
        the details regarding issue with this certificate

    - #### getPublisher

          public java.security.cert.Certificate getPublisher(java.security.cert.CertPath certPath)

      Specified by:
        `getPublisher` in interface `CertVerifier`
      Parameters:
        `certPath` - to be read for publisher
      Returns:
        the application's publisher's certificate.

    - #### getRoot

          public java.security.cert.Certificate getRoot(java.security.cert.CertPath certPath)

      Specified by:
        `getRoot` in interface `CertVerifier`
      Parameters:
        `certPath` - certificate
      Returns:
        the application's root's certificate. This may return the same certificate as getPublisher(CertPath certPath) in the event that the application is self signed.

    - #### getRootInCacerts

          public boolean getRootInCacerts()

      Specified by:
        `getRootInCacerts` in interface `CertVerifier`
      Returns:
        if the root is in CA certs

    - #### hasSigningIssues

          public boolean hasSigningIssues(java.security.cert.CertPath certPath)

      Specified by:
        `hasSigningIssues` in interface `CertVerifier`
      Parameters:
        `certPath` - to be validated
      Returns:
        if there are signing issues with the certificate being verified

Submit a bug or feature